import { useState } from 'react';
import { useForm } from '@inertiajs/react';
import { Button, Card } from "react-bootstrap";
import { Row, Container, Col } from "react-bootstrap";
import '../../../css/style.css';

// Define AddVideo component
const AddVideo = ({ onChange, data }) => {
  const handleChange = (e) => {
    const { name, value } = e.target;
    onChange(name, value);
  };
 
  const handleSubmit = (e) => {
    e.preventDefault();
    // Handle form submission
    post(route('course3.store')); 
  };
  return (
    <form onSubmit={handleSubmit} className="m-2">
    <div className="add-videos">
      {/* Video form fields */}
      <div className="adding-videos-header-container">
        <div className="d-flex justify-content-between">
          <span className="video-heading"></span>
          <div className="flot-right">
            <img src="./images/downArrow.svg" style={{ transform: "rotate(180deg)" }} />
          </div>
        </div>
      </div>
      <div className="adding-videos-body">
        <label htmlFor="upload-video" className="upload-video" name="video" value={data?.video}>
          <img src="./Images/uploadVideo.svg" />
          <div className="upload-video-text">Upload Video</div>
        </label>
        <input id="upload-video" type="file" style={{ display: "none" }} />

        {/* Other video form fields */}
        <div className="form-group mt-4">
          <label htmlFor="title" className='give'>Give your course a title *</label>
          <input type="text" className="form-control border-3 w-100" onChange={handleChange} name="title" value={data?.title} id="title" placeholder="Eg. Introduction to technical analysis" />
        </div>

        <div className="form-group mt-4">
          <label htmlFor="description" className="give">What's this video about?</label>
          <textarea
            className="textarea-field form-control w-100 mt-1"
            onChange={handleChange}
            name="description"
            value={data?.description}
            id="description"
            placeholder="Eg. How to start your trading journey? Charts have helped in visualizing historical data in a manner which is easier for us to understand and analyse...."
          ></textarea>
        </div>

        <div className="form-group mt-4">
          <label type="text" className="form-control h-50 w-100" onChange={handleChange} name="download" value={data?.download} id="title">
            Do you want to give out any downloadable content along with this video? If yes, upload documents here:
          </label>
          <div className="multiple-documents">
            <label htmlFor="upload-file" className="upload-documnet">
              <img src="./images/uploaddocument.svg" />
              <div className="upload-documnet-text mt-1">Upload</div>
            </label>
            <input
              name="image"
              id="upload-file"
              type="file"
              style={{ display: "none" }}
            />
          </div>
        </div>
  
        <button className="btn btn-primary mt-3 w-100 text-white p-3">Save Video</button>

      </div>
    </div>
    </form>
  );
};
export default AddVideo;